.pagination {
    margin: 0;
    padding: rem(50) 0 0 0;
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;

    &__item {
        display: block;
    }

    &__link {
        color: $black;
        width: rem(36);
        height: rem(36);
        font-size: rem(18);
        line-height: rem(20);
        text-decoration: none;
        border-radius: rem(5);
        display: flex;
        align-items: center;
        justify-content: center;

        &:hover {
            color: $blue;
            text-decoration: none;
        }

        &.active {
            color: $white;
            background: $blue;
            cursor: default;

            &:hover {
                color: $white;
            }
        }
    }

    &__nav {
        font-size: 0;
        line-height: 0;
        width: rem(36);
        height: rem(36);
        background: $white;
        border-radius: rem(5);
        box-shadow: 0px 0px 20px rgba(51, 51, 51, 0.1);
        display: flex;
        align-items: center;
        justify-content: center;
        fill: none;
        stroke: $black;

        i {
            height: rem(13);
            display: inline-block;
            flex-shrink: 0;
        }

        &--prev {
            margin-right: rem(10);
            transform: rotate(180deg);
        }

        &--next {
            margin-left: rem(10);
        }

        &:hover {
            stroke: $blue;
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(70);

        &__link {
            width: rem(40);
            height: rem(40);
        }

        &__nav {
            width: rem(40);
            height: rem(40);
        }
    }
}
